E-MailRelay

Classes | Namespaces | Functions
gaddress.h File Reference
`#include "gdef.h"`
`#include "gstrings.h"`
`#include "gexception.h"`
`#include <string>`
`#include <memory>`

Go to the source code of this file.

## Classes
class | GNet::Address
| The GNet::Address class encapsulates a TCP/UDP transport address. More...
struct | GNet::Address::Domain
| Overload discriminator for Address::supports() More...
struct | GNet::Address::NotLocal
| Overload discriminator for Address::parse() More...
class | GNet::AddressStorage
| A helper class for calling accept(), getsockname() and getpeername() and hiding the definition of sockaddr_storage. More...

## Namespaces
namespace | GNet
| Network classes.

## Functions
void | GNet::swap (Address &a, Address &b) noexcept